apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "carpool.fullname" . }}-test-connection-backend"
  labels:
    {{- include "carpool.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": test
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args: ['{{ include "carpool.fullname" . }}:{{ .Values.backend.service.port }}/health']
  restartPolicy: Never
